#include <dht22.h>

void reset()
{
  // Data-bus's free status is high voltage level.
  pinf(_dataPin);
  pinh(_dataPin);

  _wakeupDelay   = 0;
  _type          = 0;
  _humOffset     = 0.0;
  _tempOffset    = 0.0;
  _humidity      = 0.0;
  _temperature   = 0.0;
  _lastRead      = 0;
  _disableIRQ    = true;
  _waitForRead   = false;
  _suppressError = false;
  _readDelay     = 0;
}
