//
//    FILE: dht22.c
//  AUTHOR: glapolla@gmail.com
// VERSION: 0.1.0
// PURPOSE: DHT Temperature & Humidity Sensor library

//  HISTORY:
//  0.1.0  2022-09-14  initial version

// these defines are not for user to adjust
#define DHTLIB_DHT11_WAKEUP        18
#define DHTLIB_DHT_WAKEUP          1


// READ_DELAY for blocking read
// datasheet: DHT11 = 1000 and DHT22 = 2000
// use setReadDelay() to overrule (at own risk)
// as individual sensors can be read faster.
// see example DHTnew_setReadDelay.ino
#define DHTLIB_DHT11_READ_DELAY    1000
#define DHTLIB_DHT22_READ_DELAY    2000


void init(uint8_t pin)
{
  _dataPin = pin;
  reset();
}
